#!/bin/bash
# create a virtual environment, activate it, install requierements, 
# add shebang line in scipt to call proper interpreter, make script executable
# requisits:
# script file and pip requirements.txt must be in the same folder as the installer
# 
# usage: 
# $ ./my_installer.sh script_name.py
# 
# No warranty, use it at your own risks 

curentwd=$(pwd)
shebang='#!'
interpreter='/env/bin/python3'
result="$shebang$curentwd$interpreter"

python3 -m venv env
source env/bin/activate
python3 -m pip install -r requirements.txt 
deactivate


echo -e "$result\n$(cat $1)" > $1
chmod +x $1
